Subject: town names
From: [email-masked] (Ross Thompson)
Date: Sun, 13 Aug 95 19:30:02 EDT
Newsgroups: rec.humor.funny

Phil OKunewick mentions the town of Accident, Md, but I really think
that for weird town names, Pennsylvania wins hands down.  There is a
town near Harrisburg called Intercourse (which holds an annual rhubarb
festival).  Moving west, we find 84 (home of 84 lumber) near which are
some very interesting 'miles to go' signs

84	     12
Pittsburgh   20

North of there is Mars, Pennsylvania, and north and east from there is
California, Pennsylvania, home of California State University.  Penn
State is in a town called State College, Pennsylvania, and near Erie
are two towns right next to each other called Panic and Desire.

[I have long felt that the right way to tour Pennsylvania would be to
start at Desire, and go from there to Intercourse and thence to
Panic.]